1. Notes
OrderMesh STG
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
        POST
      • Search All Notes
        GET
      • View Note by ID
        GET
      • Update Note
        PUT
      • Delete Note
        DELETE
      • View Note Audit Logs
        GET
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. Notes

Search All Notes

GET
/v1/notes
This endpoint allows you to search through the notes in our system and return the information that matches your search criteria. Retrieves a paginated list of all notes associated with your merchant account.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.stg.ordermesh.io/note/v1/notes?id=&content=&isPrivate=&createdByUserId=&entityType=&entityId=&page=&pageSize=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "notes": [
        {
            "id": "0a0d1c4d-4557-4386-bc80-e26937d08411",
            "content": "Customer address issue could not be fixed automatically. Manual intervention required. Merchant has been notified to reach out to the customer for confirmation.",
            "isPrivate": false,
            "resourceReference": {
                "entityType": "Order",
                "entityId": "6686def3cb6eb9b3d1740f96",
                "merchantId": "6e0a8bd9-93b1-4f60-9af0-ea9cd5c4756a",
                "vendorId": "33ba401a-28fd-4129-b335-5cd7b81c45af"
            },
            "createdBy": {
                "userId": "3404b73a-8e39-4de5-9cba-081e251564a2",
                "userName": "Agent 1"
            },
            "createdAt": "2026-04-14T17:48:24.3430606Z",
            "updatedAt": null
        },
        {
            "id": "0a0d1c4d-4557-4386-bc80-e26937d08411",
            "content": "Customer address issue has been resolved. The merchant provided a corrected address and order processing has resumed",
            "isPrivate": false,
            "resourceReference": {
                "entityType": "Order",
                "entityId": "6686def3cb6eb9b3d1740f96",
                "merchantId": "6e0a8bd9-93b1-4f60-9af0-ea9cd5c4756a",
                "vendorId": "33ba401a-28fd-4129-b335-5cd7b81c45af"
            },
            "createdBy": {
                "userId": "3404b73a-8e39-4de5-9cba-081e251564a2",
                "userName": "Agent 1"
            },
            "createdAt": "2026-04-14T17:48:24.3430638Z",
            "updatedAt": null
        }
    ],
    "total": 2
}
Modified at 2026-09-10 16:14:33
Previous
Create a New Note
Next
View Note by ID
Built with